Debian Bug report logs - #272214
openbox: Problems with key combination W-Tab changing focus

version graph

Package: openbox; Maintainer for openbox is Mateusz Łukasik <mati75@linuxmint.pl>; Source for openbox is src:openbox.

Reported by: DaVinci <davinci@escomposlinux.org>

Date: Sat, 18 Sep 2004 12:48:02 UTC

Severity: normal

Tags: help

Found in version 3.2-5

Fixed in version openbox/3.2-6

Done: Tore Anderson <tore@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tore Anderson <tore@debian.org>:
Bug#272214; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to DaVinci <davinci@escomposlinux.org>:
New Bug report received and forwarded. Copy sent to Tore Anderson <tore@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: DaVinci <davinci@escomposlinux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openbox: Problems with key combination W-Tab changing focus
Date: Sat, 18 Sep 2004 14:41:43 +0200
Package: openbox
Version: 3.2-5
Severity: normal

 Hi all.

 I have tried to assign W-Tab combination to focus change, but it
 doesn't work properly. Focus changes, but the change window stay open
 until I pulse another key. Same occurs with combinations W-(cursor).

 I have report a bug against xserver-xfree86, thinking that it was a
 problem of X server, but Denis Barbier have directed me to bug #255286
 of emacs21 for an explication of what is happening.

 I expect it is enought for fixing problem with openbox.

 Thanks.

 							David

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=es_ES, LC_CTYPE=es_ES

Versions of packages openbox depends on:
ii  libc6                     2.3.2.ds1-16   GNU C Library: Shared libraries an
ii  libfontconfig1            2.2.3-1        generic font configuration library
ii  libfreetype6              2.1.7-2.2      FreeType 2 font engine, shared lib
ii  libglib2.0-0              2.4.6-2        The GLib library of C routines
ii  libice6                   4.3.0.dfsg.1-7 Inter-Client Exchange library
ii  libsm6                    4.3.0.dfsg.1-7 X Window System Session Management
ii  libstartup-notification0  0.7-1          library for program launch feedbac
ii  libx11-6                  4.3.0.dfsg.1-7 X Window System protocol client li
ii  libxext6                  4.3.0.dfsg.1-7 X Window System miscellaneous exte
ii  libxft2                   2.1.2-6        FreeType-based font drawing librar
ii  libxml2                   2.6.11-3       GNOME XML library
ii  libxrandr2                4.3.0.dfsg.1-7 X Window System Resize, Rotate and
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  xlibs                     4.3.0.dfsg.1-7 X Window System client libraries m
ii  zlib1g                    1:1.2.1.2-1    compression library - runtime

-- no debconf information



Tags added: help Request was from Tore Anderson <tore@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to DaVinci <davinci@escomposlinux.org>:
Bug#272214. Full text and rfc822 format available.

Message #10 received at 272214-submitter@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: 272214-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#272214: openbox: Problems with key combination W-Tab changing focus
Date: Fri, 17 Dec 2004 20:55:58 +0100
tags 272214 + help
quit

* DaVinci

 >  I have tried to assign W-Tab combination to focus change, but it
 >  doesn't work properly. Focus changes, but the change window stay open
 >  until I pulse another key. Same occurs with combinations W-(cursor).

  I see the same thing.  However, I've not yet been able to fix it, as
 the I'm not very familiar with X11 keyboard events.  I will continue
 to look into it, but I hope someone can help me out.

-- 
Tore Anderson



Information stored:
Bug#272214; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to DaVinci <davinci@escomposlinux.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 272214-quiet@bugs.debian.org (full text, mbox):

From: DaVinci <davinci@escomposlinux.org>
To: Tore Anderson <tore@debian.org>, 272214-quiet@bugs.debian.org
Cc: 272214-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#272214: openbox: Problems with key combination W-Tab changing focus
Date: Sat, 18 Dec 2004 00:42:28 +0100
El viernes 17 de diciembre, Tore Anderson escribió:
>  >  I have tried to assign W-Tab combination to focus change, but it
>  >  doesn't work properly. Focus changes, but the change window stay
>  >  open until I pulse another key. Same occurs with combinations
>  >  W-(cursor).
> 
>   I see the same thing.  However, I've not yet been able to fix it, as
>   the I'm not very familiar with X11 keyboard events.  I will continue
>   to look into it, but I hope someone can help me out.

 There is more info about problem in X's FAQs, question:

	* My keyboard configuration worked with XFree86 4.2; why is it
	  messed up now?

 I wish someone can help with this.

 Greets.

							David



Message sent on to DaVinci <davinci@escomposlinux.org>:
Bug#272214. Full text and rfc822 format available.

Message sent on to DaVinci <davinci@escomposlinux.org>:
Bug#272214. Full text and rfc822 format available.

Message #21 received at 272214-submitter@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: 272214-submitter@bugs.debian.org
Subject: Re: Bug#272214: openbox: Problems with key combination W-Tab changing focus
Date: Mon, 20 Dec 2004 22:19:32 +0100
* DaVinci

 >  There is more info about problem in X's FAQs, question:
 >
 >  * My keyboard configuration worked with XFree86 4.2; why is it
 >    messed up now?

  I understand (roughly) how XFree86 has changed;  what I do not know is
 how to fix it.  I've looked at it and I'm simply not familiar enough
 with the affected parts of the code (and libX11).

-- 
Tore Anderson



Information forwarded to debian-bugs-dist@lists.debian.org, Tore Anderson <tore@debian.org>:
Bug#272214; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@debian.org>:
Extra info received and forwarded to list. Copy sent to Tore Anderson <tore@debian.org>. Full text and rfc822 format available.

Message #26 received at 272214@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@debian.org>
To: Debian Bug Tracking System <272214@bugs.debian.org>, DaVinci <davinci@escomposlinux.org>
Subject: Bug#272214: openbox: Problems with key combination W-Tab changing focus
Date: Fri, 31 Dec 2004 16:26:08 +0100
[Message part 1 (text/plain, inline)]
Package: openbox
Version: 3.2-5
Followup-For: Bug #272214

A workaround is to add
  Option  "XKbOptions" "altwin:super_win"
to the keyboard section in /etc/X11/XF86Config-4.

I do not use openbox, so the attached patch has not been intensively
tested, but I believe that it works.

Denis
[openbox.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#272214; Package openbox. Full text and rfc822 format available.

Acknowledgement sent to Tore Anderson <tore@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #31 received at 272214@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: Denis Barbier <barbier@debian.org>, 272214@bugs.debian.org
Subject: Re: Bug#272214: openbox: Problems with key combination W-Tab changing focus
Date: Thu, 6 Jan 2005 00:19:26 +0100
tags 272214 - help
tags 272214 + upstream patch pending
quit

* Denis Barbier

 > I do not use openbox, so the attached patch has not been intensively
 > tested, but I believe that it works.

  Thank you very much!  (I had no idea using the "help" tag would
 actually summon help, but I'm certainly pleased to be wrong.  :)

  The patch seems fine to me, and are certainly much easier than my
 hopeless attempts..  I've posted it to the Openbox mailing list,
 where the problem had been mentioned by someone else previously.
 I'll wait a few days to see if upstream says I shouldn't apply it,
 and if not I shall upload a patched .deb soon.

  Thanks again!

-- 
Tore Anderson



Reply sent to Tore Anderson <tore@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to DaVinci <davinci@escomposlinux.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 272214-close@bugs.debian.org (full text, mbox):

From: Tore Anderson <tore@debian.org>
To: 272214-close@bugs.debian.org
Subject: Bug#272214: fixed in openbox 3.2-6
Date: Thu, 06 Jan 2005 14:32:33 -0500
Source: openbox
Source-Version: 3.2-6

We believe that the bug you reported is fixed in the latest version of
openbox, which is due to be installed in the Debian FTP archive:

openbox_3.2-6.diff.gz
  to pool/main/o/openbox/openbox_3.2-6.diff.gz
openbox_3.2-6.dsc
  to pool/main/o/openbox/openbox_3.2-6.dsc
openbox_3.2-6_i386.deb
  to pool/main/o/openbox/openbox_3.2-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 272214@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tore Anderson <tore@debian.org> (supplier of updated openbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  6 Jan 2005 00:04:16 +0100
Source: openbox
Binary: openbox
Architecture: source i386
Version: 3.2-6
Distribution: unstable
Urgency: low
Maintainer: Tore Anderson <tore@debian.org>
Changed-By: Tore Anderson <tore@debian.org>
Description: 
 openbox    - standards compliant, fast, light-weight, extensible window manage
Closes: 265441 272214
Changes: 
 openbox (3.2-6) unstable; urgency=low
 .
   * debian/control:
       - Suggest ttf-bitstream-vera, closes: #265441.
       - Lowercase first letter in the synopsis.
 .
   * debian/*.pod:
       - Fix "contributiors" typo.
 .
   * debian/copyright, debian/*.pod:
       - Acknowledge Mikael Magnusson as the new upstream lead developer.
 .
   * openbox/event.c:
       - Apply patch from Denis Barbier, remedying breakage stemming from recent
         changes in XFree86' XKB behaviour.  Closes: #272214.  Thanks, Denis!
Files: 
 f2b0d7ff74ee8080757507228d38743c 683 x11 optional openbox_3.2-6.dsc
 a65688ae356ee16f08e634f1b0f939d1 19118 x11 optional openbox_3.2-6.diff.gz
 79003c604a327ecd58a1beec8f09ac45 209720 x11 optional openbox_3.2-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iEYEARECAAYFAkHdkH8ACgkQ/8x4SxA9OY8/OACgiADntxC+K0SNcBP+iM9UZW0V
B9YAniyuzriZwsQSbs8Zi15rVwrmGy1s
=TaYK
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:42:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.